Subject: Re: [PATCH v6 00/15] Trace2 tracing facility

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 14 Feb 2019 13:33:47 +0100

On Wed, Feb 06 2019, Jeff Hostetler via GitGitGadget wrote:

> V6 addresses: [] The remaining hdr-check warning in trace2/tr2_tls.h
>
> There are no other outstanding comments that I'm aware of.

Not a comment on this, just a follow-up question. I started looking into
whether this could be driven by config instead of getenv(). A lot easier
to set up in some cases than injecting env variables, especialy if the
log target supported a strftime() string, is any of that something
you've looked into already (so I don't do dupe work...).

There's the chicken & egg problem with wanting to do traces way before
we get to reading config, so I expect that such a facility would need to
work by always trace record at the beginning until we get far enough to
write the config, and then either stop and throw away the buffer, or
write out the existing trace to the configured target, and continue.